Haketilo - Bug #115

[MOZILLA] writes to IndexedDB in private windows do not take effect
03/07/2022 10:04 AM - koszko

Status: Rejected Start date: 03/07/2022
Priority: Urgent Due date:

Assignee: koszko % Done: 10%
Category: Estimated time: 0.00 hour
Target version:

Description
Firefox' Private Browsing mode uses a separate IndexedDB instance. This would not normally be a problem, except:

* Haketilo's popup and settings page access the "private" instance
¢ Haketilo's actions on web pages are always decided and performed using the "non-private" instance

This leads to inconsistency - someone browsing in Private Mode can

e change some configuration in the settings page or
e install/'update packages from the popup and then find out that the changes didn't take effect at all.

An immediate workaround will probably be displaying a proper message in those cases. A real but also more complex solution will be
to route IndexedDB operations through the background script.

Related issues:
Related to Haketilo - Feature #113: Make Haketilo's settings page display pro... Closed 03/03/2022

History

#1 - 03/07/2022 10:04 AM - koszko
- Related to Feature #113: Make Haketilo's settings page display proper message when IndexedDB is unavailable added

#2 - 03/09/2022 02:35 PM - koszko
- % Done changed from 0 to 10

The immediate workaround - displaying an informative message - is already on koszko branch

#3 - 03/10/2022 10:31 AM - koszko

| just confirmed there are no problems with Incognito mode on Chromium-based browsers

#4 - 10/13/2022 12:19 PM - koszko

- Status changed from New to Rejected
